Apache2 oder PHP4?

Dieses Thema: "Apache2 oder PHP4?" im Forum "Web- & File-Services" wurde erstellt von ilja, 26.02.2006.

  1. ilja

    ilja Foren As

    Dabei seit:
    20.02.2003
    Beiträge:
    86
    Zustimmungen:
    0
    Ort:
    New York City
    hallo,

    ich verstehe das nicht woran es liegt, denn auf dem alten Debian Woody Apache1.3.x und PHP4.4.0 lief alles super. auf den neuen Debian Sarge Apache2 und PHP4.3.10-16 ist es komisch. denn in allen php dateien muss ich jetzt dies machen $_REQUEST["variablenname"] auf dem alten hat es ohne $_REQUEST["variablenname"] funktioniert musste nur variablenname eingeben.
    woran liegt es?

    danke.
     
  2. Anzeige

    Schau dir mal diesen Ratgeber an. Viele Antworten inkl. passender Shell-Befehle!
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. heady

    heady Routinier

    Dabei seit:
    13.12.2005
    Beiträge:
    424
    Zustimmungen:
    0
    Ort:
    im Herzen Europas
    das liegt an der Konfiguration von PHP

    probier mal im Konfigurationsfile von PHP diese Einstellung:
    register_globals = ON
     
  4. ilja

    ilja Foren As

    Dabei seit:
    20.02.2003
    Beiträge:
    86
    Zustimmungen:
    0
    Ort:
    New York City
    danke, das war die loesung!
     
  5. #4 lordlamer, 26.02.2006
    lordlamer

    lordlamer Haudegen

    Dabei seit:
    15.05.2003
    Beiträge:
    703
    Zustimmungen:
    0
    Ort:
    hamburg
    hi

    wenn du auch für die zukunft mit programmieren willst solltest du dich an diese variablen gewöhnen und an register_globals = off!

    das wird bzw. gibt es nicht mehr in php5!

    mfg frank
     
  6. heady

    heady Routinier

    Dabei seit:
    13.12.2005
    Beiträge:
    424
    Zustimmungen:
    0
    Ort:
    im Herzen Europas
    da kann ich lordlamer nur zustimmen...diese variablen sollte man tunlichst vermeiden...
     
  7. #6 Wolfgang, 26.02.2006
    Wolfgang

    Wolfgang Foren Gott

    Dabei seit:
    24.04.2005
    Beiträge:
    3.978
    Zustimmungen:
    0
    Ort:
    Erfurt
    Fragt sich nur für wen? :devil:
    Das ist sozusagen gelichzeitig die Lösung für Scriptkiddis.:D
    Wenn du nicht gerade möchtegern Hacker einladen willst, solltest du das schnell wieder abstellen.

    Gruß Wolfgang
     
Thema:

Apache2 oder PHP4?

Die Seite wird geladen...

Apache2 oder PHP4? - Ähnliche Themen

  1. apache oder apache2

    apache oder apache2: Hallo zusammen Bin dabei einen öffentlichen Typo3 einzurichten. Nun weiss ich einfach nicht welchen Apache ich installieren soll. Mein Buch...
  2. Debian Etch und Apache2 + Php4 oder 5

    Debian Etch und Apache2 + Php4 oder 5: Hallo Leutz, hab ein Problem und zwar habe ich mir vor tagen Debian Etch installiert mit Apache2 php4 php5 und modul apache2-mod-php5 nun lief...
  3. apache oder apache2 für stabilen sicheren Webserver

    apache oder apache2 für stabilen sicheren Webserver: Moin. Ich hab mich jetzt eine Wenig durch Netz gekämpft je mehr ich lese desto weniger weiß ich . Verdammt so sollte das nicht laufen ....
  4. Apache2 mod_proxy

    Apache2 mod_proxy: Hallo Gemeinde, ich raff es einfach nicht. Ich habe mir den Apache2-Server als Proxy eingerichtet, damit ich mir hinter meiner Firewall über...
  5. Newbie:apache2/befehl htdigest Problem

    Newbie:apache2/befehl htdigest Problem: Hallo Leute, ich habe ein Problem mit diesem Befehl: htdigest -c /etc/apache2/passwords xxxxx xxxxx xxxx= usernamen sollen eingefügt werden...